commit:     19e16769459c4962631d9a1629839ab35d816c7a
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 15 00:44:08 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Feb 15 00:44:58 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19e16769

app-admin/consul: Version bump to 1.0.6

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-admin/consul/Manifest            |  1 +
 app-admin/consul/consul-1.0.6.ebuild | 68 ++++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/app-admin/consul/Manifest b/app-admin/consul/Manifest
index 05a77ac4d09..41b14eb6064 100644
--- a/app-admin/consul/Manifest
+++ b/app-admin/consul/Manifest
@@ -1,2 +1,3 @@
 DIST consul-0.9.3.tar.gz 7278357 BLAKE2B 
041164951fe798f51bc79ef4cf322e3c37b583471d66f0d78b0a100b57ee367a5942ef07fc85adafeb6c014b5a6047dae10da42427600de25656614c235dab1a
 SHA512 
a1c9cdd3e197afbf088bd1866af15c1864cb8d042dc65d2fcc0d9070b8bf2f9380cf2ceadaff6d5bba7ecd379d53f4b8191e1ae6832f1b2c82f21c62f07d8b0f
 DIST consul-1.0.0.tar.gz 7354292 BLAKE2B 
f2e245cec5859e23dd55c991de5c4d68be8526ec7085273660271407d9f1898c803edbffaff3cd4f0d5de114b9d8b2cd205e03002d5685b77f831957b021140c
 SHA512 
8223f79aa1b7bfc5693168b56fbe9a506ca504771c92328afeb99e78dce8699c7532582749a372dfed10dd4b7c440ace0dd248f1ae27247059da3e2f88293a88
+DIST consul-1.0.6.tar.gz 8211299 BLAKE2B 
7ea5df497f4796e572a86127e0854935f97439504aff82fb697f33700e9d138048772f32f171dbbe4f1fb4d1ceefa7ca96cf3dce2a22cdffd4e1906f6befa55b
 SHA512 
c55f09272859b828816ddf548952769172331c22be8a70a7f73ab9362744fb1f4bc5fdf81955a0dbc4101584cf3660f182620dcdc56bcf94b42dce644be232a8

diff --git a/app-admin/consul/consul-1.0.6.ebuild 
b/app-admin/consul/consul-1.0.6.ebuild
new file mode 100644
index 00000000000..46b00a5d17b
--- /dev/null
+++ b/app-admin/consul/consul-1.0.6.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-vcs-snapshot systemd user
+
+KEYWORDS="~amd64"
+EGO_PN="github.com/hashicorp/consul"
+DESCRIPTION="A tool for service discovery, monitoring and configuration"
+HOMEPAGE="http://www.consul.io";
+SRC_URI="https://github.com/hashicorp/consul/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MPL-2.0"
+IUSE=""
+
+RESTRICT="test"
+
+DEPEND="dev-go/gox
+       >=dev-lang/go-1.9:=
+       >=dev-go/go-tools-0_pre20160121"
+RDEPEND=""
+
+pkg_setup() {
+       enewgroup consul
+       enewuser consul -1 -1 /var/lib/${PN} consul
+}
+
+src_prepare() {
+       default
+
+       sed -e 's:^\(GIT_DESCRIBE=\).*:\1v'${PV}':' \
+               -e 's:^\(GIT_COMMIT=\).*:\1:' \
+               -e 's:^\(GIT_DIRTY=\).*:\1:' \
+               -e 's:go get -u -v $(GOTOOLS)::' \
+               -e 's:vendorfmt dev-build:dev-build:' \
+               -i "${S}/src/${EGO_PN}/GNUmakefile" || die
+}
+
+src_compile() {
+       # The dev target sets causes build.sh to set appropriate XC_OS
+       # and XC_ARCH, and skips generation of an unused zip file,
+       # avoiding a dependency on app-arch/zip.
+       GOPATH="${S}" GOBIN="${S}/bin" \
+               emake -C "${S}/src/${EGO_PN}" dev
+}
+
+src_install() {
+       local x
+
+       dobin "${S}/bin/${PN}"
+
+       keepdir /etc/consul.d
+       insinto /etc/consul.d
+       doins "${FILESDIR}/"*.json.example
+
+       for x in /var/{lib,log}/${PN}; do
+               keepdir "${x}"
+               fowners consul:consul "${x}"
+       done
+
+       newinitd "${FILESDIR}/consul.initd" "${PN}"
+       newconfd "${FILESDIR}/consul.confd" "${PN}"
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+       systemd_dounit "${FILESDIR}/consul.service"
+}

Reply via email to